@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: "Open Sans", sans-serif;
}

a{
    color: white;
}

.flex{
    display: flex;
}


/* Header */

header{
    position: fixed;
    z-index: 10000;
    top: auto;
    width: 100%;
    justify-content: space-between;
    padding: 3rem 5rem 0 4rem;
    align-items: center;
    transition: 0.6s;
}
header.sticky{
    padding: 1rem 5rem 1rem 4rem;
    background-color: white;
}
.header-left{
    justify-content: end;
    gap: 3rem;
    align-items: center;
}
.lista-header ul{
    gap: 2rem;
}
.lista-header ul li a{
    color: white;
    font-weight: 500;
    text-transform: capitalize;
}
header.sticky ul li a{
    color: black;
}
.line{
    position: relative;
 }
.line:after{
    content: "";
    width: 0;
    height: 3px;
    background-color: white;
    position: absolute;
    bottom: -7px;
    right: 100%;
    transition: all .4s;
    will-change: width;
}
.line:hover:after{
    width: 100%;
    right: 0;
}


/* Menu */

header label{
    display: none;
}
.menu-icono {
    width: 25px;
}
#menu{
    display: none;
}
#menu:checked ~ .header-left .lista-header{
    display: initial;
}

.logo-img img{
    padding: 0 0 0 4rem;
    width: 80%;
    transition: 0.6s;
}


/* slider */

.slider{
    width: 100%;
    max-width: 100vw;
    height: 30vh;
    margin: auto;
    position: relative;
    overflow: hidden;
}
.slider .list{
    position: absolute;
    width: max-content;
    height: 100%;
    left: 0;
    top: 0;
    display: flex;
    transition: 1s;
}
.slider .list img{
    width: 2000px;
    max-width: 100vw;
    height: 45vh;
    object-fit: cover;
}

.title-banner{
    padding: 80px 0;
}

.title-banner p{
    text-align: center;
    color: black;
    font-size: 40px;
    text-transform: uppercase;
}

.icon-banner{
    width: 100%;
    height: 90%;
    position: absolute;
    text-align: center;
    justify-content: center;
    display: flex;
    align-items: end;
    top: 0;
    right: 0;
}



.inf-banner p{
    font-size: 10px;
    color: #ffff;
    text-transform: capitalize;
    width: 30%;
}

.icon-banner i{
    font-size: 50px;
    color: white;
}

@keyframes showContent{
    to{
        opacity: 1;
        filter: blur(0);
        transform: translateY(0);
    }
}


/* Pictures */

.inf-project{
    display: flex;
}

.information{
    display: flex;
    justify-content: center;
    padding: 20px 0;
    gap: 5px;
}
.inf-project-left{
    width: 40%;
}

.picture-image{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 5rem;
}

.text-picture p{
    font-size: 25px;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.column-picture img{
    width: 100%;
    margin-top: 5px;
    transition-delay: 400ms;
    transition: all 0.8s ease;
}

.picture{
    width: 50%;
    display: flex;
    flex-wrap: wrap;
}

.column-picture{
    flex: 25%;
    padding: 5px;
}

.inf-left p{
    padding: 10px;
    border-bottom: 2px solid black;
    text-transform: uppercase;
    font-size: 15px;
    font-weight: 600;
}

.inf-right p{
    padding: 10.2px 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.378);
    text-transform: uppercase;
    font-size: 15px;
}


/* concept-project */

.concept-project{
    display: flex;
    justify-content: center;
}

.contain-concept{
    width: 60%;
    margin: 10em 0;
}

.contain-concept p{
    font-family: "Open Sans", sans-serif;
    font-weight: 300;
    font-size: 22px;
    line-height: normal;
    text-align: justify;
}


/* pictures-project */


.picture-project .picture1 img{
    width: 100%;
}

.file2{
    display: flex;
    justify-content: space-between;
}

.file2 img{
    padding: 6px 0;
    width: calc(50% - 6px);
    height: 110vh;
    object-fit: cover;
}

.file3 img{
    width: 100%;
    height: 110vh;
    object-fit: cover;
}



/* Wsp */

.whatsapp-container{
    margin: 0;
    padding: 0;
    width: 100%;
    max-width: 50px;
    height: auto;
    position: fixed;
    bottom: 15px;
    right: 45px;
    z-index: 9999999;
}
.whatsapp-container img{
    width: 60px;
    height: auto;
    background: #36c62a;
    border-radius: 100%;
    padding: 8px;
    border: solid 4px white;
}

.icono-whatsapp{
    display: block;
    margin: 10px;
}


/* scroll */

.hidden {
    opacity: 0;
    filter: blur(1px);
    transform: translateY(50px);
    transition: all 1s;
}

.show{
    opacity: 1;
    filter: blur(0);
    transform: translatex(0);
}

@media(prefers-reduced-motion) {
    .hidden {
        transition: none;
    }
}

/* footer */

footer{
    padding: 0 1rem;
    background-color: #F0F0F0;
    padding: 2rem 5rem;
}

.footer-up{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo-footer img{
    width: 200px;
    height: 80px;
    transition-delay: 200ms;
}
.footer-down {
    width: 40%;
}
.footer-down p{
    color: black;
}

.list-footer, .logo-footer{
    width: 40%;
}
.list-footer{
    justify-content: end;
}
.list-footer ul{
    display: flex;
    gap: 20px;
    margin: 1rem 3rem 0 1rem;
}

.list-footer ul li i:hover{
    background-color: #343434;
    border: 1px solid #343434;
    color: white;
}
.list-footer ul li i{
    border-radius: 100%;
    border: 1px solid black;
    padding: 6px;
    font-size: 20px;
    transition: 0.8s;
    cursor: pointer;
    color: black;
    transition: 0.8s;
}

@media screen and (min-width: 1000px) and (max-width: 1300px){

    /* banner */

    .slider{
        height: 40vh;
    }

    /* inf de proyecto */

    .contain-concept{
        width: 80%;
    }
    .file2 img{
        height: 40vh;
    }

    .file3 img{
        height: 40vh;
    }
    .contain-concept {
        width: 40%;
        margin: 6em 0;
    }
    .contain-concept {
        width: 50%;
    }

    /* footer */

    .footer-down {
        width: 50%;
    }

    .logo-footer ul{
        justify-content: center;
    }

}

@media screen and (min-width: 715px) and (max-width: 1000px){
    .slider {
        height: 40vh;
    }
    
    /* inf de proyecto */

    .inf-project{
        justify-content: center;
    }
    .contain-concept{
        width: 80%;
        margin: 6em 0;
    }
    .file2 img{
        height: 40vh;
    }

    .file3 img{
        height: 40vh;
    }

    .contain-concept p{
        font-size: 18px;
    }

    /* footer */

    .footer-down {
        width: 50%;
    }
    .logo-footer ul{
        justify-content: center;
    }
}

@media(max-width:715px){

    /* header */

    .banner-top, .boton button{
        display: none;
    }
    header{
        padding: 1rem 2rem;
    }
    header.sticky {
        padding: 1rem 2rem;
    }
    .logo-img img{
        padding: 0;
    }
    header label{
        display: block;
    }
    .lista-header{
        position: absolute;
        top: 70%;
        left: 0;
        right: 0;
        background-color: white;
        display: none;
    }
    .lista-header ul {
        flex-direction: column;
        padding: 30px;
        align-items: center;
    }

    .lista-header ul li a{
        color: black;
    }

    /* banner */

    .slider{
        height: 40vh;
    }
    .slider .list{
        text-align: center;
    }
    .inf-project{
        flex-direction: column;
        gap: 20px;
    }
    .inf-project-left, .picture{
        width: 100%;
    }
    .contain-concept{
        margin: 4em 0;
        width: 80%;
    }
    .concept-project{
        margin: 20px 0;
    }
    .file2{
        flex-direction: column;
        padding: 0;
    }
    .file2 img, .file3 img{
        width: 100%;
        height: 28vh;
    }
    .contain-concept p{
        font-size: 18px;
    }
    .title-banner {
        padding: 60px 0;
    }
    .title-banner p{
        font-size: 30px;
        width: 80%;
        margin: auto;
    }

    /* wsp */

    .whatsapp-container img{
        width: 55px;
    }
    .whatsapp-container i {
        font-size: 35px
    }
    .whatsapp-container{
        max-width: 35px;
    }
    
    /* footer */

    footer{
        padding: 0;
    }
    
    .footer-up{
        flex-direction: column;
        padding: 2rem 0;
        align-items: center;
    }
    .footer-down{
        padding: 2rem 0;
        margin: 0 1rem;
    }
    .footer-down p{
        text-align: center;
    }

    .logo-footer{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .list-footer, .logo-footer{
        width: 100%;
    }
    .list-footer {
        justify-content: center;
    }
    .footer-down {
        width: 100%;
        padding: 2rem 0;
        margin: 0;
    }

}